<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="" version="1.0">
  <xsl:template match="/People">
    <People>
      <xsl:for-each select="Person">
        <xsl:choose>
          <xsl:when test="Gender = 'Female'">
            <Female id="{@id}">
              <FullName>
                <xsl:value-of select="concat(Name/First,' ', Name/Middle, ' ', Name/Last)" />
              </FullName>
              <Gender>
                <xsl:call-template name="TabularMapping_Gender_Mapping">
                  <xsl:with-param name="value" select="Gender" />
                </xsl:call-template>
              </Gender>
              <SSN>
                <xsl:value-of select="SSN" />
              </SSN>
              <BirthDate>
                <xsl:value-of select="BirthDate" />
              </BirthDate>
              <Occupation>
                <xsl:value-of select="Occupation" />
              </Occupation>
              <Vehicle>
                <Make>
                  <xsl:value-of select="Vehicle/Make" />
                </Make>
                <Model>
                  <xsl:value-of select="Vehicle/Model" />
                </Model>
                <Year>
                  <xsl:value-of select="Vehicle/Year" />
                </Year>
              </Vehicle>
              <Address>
                <Line1>
                  <xsl:value-of select="Address/Line1" />
                </Line1>
                <City>
                  <xsl:value-of select="Address/City" />
                </City>
                <State>
                  <xsl:value-of select="Address/State" />
                </State>
                <Zip>
                  <xsl:value-of select="Address/Zip" />
                </Zip>
              </Address>
            </Female>
          </xsl:when>
          <xsl:otherwise>
            <Male id="{@id}">
              <FullName>
                <xsl:value-of select="concat(Name/First,' ', Name/Middle, ' ', Name/Last)" />
              </FullName>
              <Gender>
                <xsl:value-of select="Gender" />
              </Gender>
              <SSN>
                <xsl:value-of select="SSN" />
              </SSN>
              <BirthDate>
                <xsl:value-of select="BirthDate" />
              </BirthDate>
              <Occupation>
                <xsl:value-of select="Occupation" />
              </Occupation>
              <Vehicle>
                <Make>
                  <xsl:value-of select="Vehicle/Make" />
                </Make>
                <Model>
                  <xsl:value-of select="Vehicle/Model" />
                </Model>
                <Year>
                  <xsl:value-of select="Vehicle/Year" />
                </Year>
              </Vehicle>
              <Address>
                <Line1>
                  <xsl:value-of select="Address/Line1" />
                </Line1>
                <City>
                  <xsl:value-of select="Address/City" />
                </City>
                <State>
                  <xsl:value-of select="Address/State" />
                </State>
                <Zip>
                  <xsl:value-of select="Address/Zip" />
                </Zip>
              </Address>
            </Male>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </People>
  </xsl:template>
  <xsl:template name="TabularMapping_Gender_Mapping">
    <xsl:param name="value" />
    <xsl:choose>
      <xsl:when test="normalize-space($value)='Male'">
        <xsl:text>M</xsl:text>
      </xsl:when>
      <xsl:when test="normalize-space($value)='Female'">
        <xsl:text>F</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>Unknown</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>

